Credits Balance
Check your current API credit balance — subscription, purchased, reserved, and on-demand credits.
The Credits endpoint lets you check your current TryItOn API credit balance. The response shows your total credits, any credits from an active API subscription, and any custom-bought credits.
Credit Usage
- Subscription Credits: Included with your monthly API plan
- Purchased Credits: Additional tryons purchased separately
- Reserved Credits: Reserved tryons which are currently being processed
- On-demand Credits: (Subscription credits + Purchased credits) - Reserved credits
Request
Check your current credits balance by making a GET request to the credits endpoint:
GET
https://tryiton.now/api/v1/credits
Call this endpoint whenever you need to know how many credits you have remaining.
Request Examples
const credits = await client.getCredits();
// { on_demand, subscription, purchased, reserved }credits = client.get_credits()
# Credits(on_demand, subscription, purchased, reserved)curl -X GET https://tryiton.now/api/v1/credits \
-H "Authorization: Bearer YOUR_API_KEY"Response
Example response payload
Response
{
"ok": true,
"credits": {
"on_demand": 149,
"subscription": 50,
"purchased": 100,
"reserved": 1
}
}Response Fields
Container object for all credit information. |
Currently available credits (subscription + on-demand credits - reserved credits). |
Credits included with your current API subscription plan. |
Additional credits purchased separately from your subscription. |
Reserved tryons which are currently being processed. |
Rate Limits
The credits endpoint has its own specific rate limit:
| Endpoint | Limit |
|---|---|
/api/v1/credits | 300 requests per 60 seconds |
For other endpoints, see the default rate limits in API Fundamentals.